Subject: Ticket Assigned - Article Feedback - Are there products I cannot return by raising an online return request?
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Fri, 13 Aug 2021 14:18:14 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - Are there products I cannot return by raising an online return request? Feedback for:  Are there products I cannot return by raising an online return request? I’ve ordered a metalic tray but there was a manufacturer error with it !!! And i cant reach out to u to return it !!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2976988